#!/bin/sh
#echo start ssh agent
if test ! -d ~/.ssh
then
    if test -w ~
    then
	mkdir ~/.ssh
    else
	exit 1
    fi
elif test ! -w ~/.ssh
then
    exit 1
fi
ssh-agent | head -2 > ~/.ssh/lincvs-environment
chmod 600 ~/.ssh/lincvs-environment
. ~/.ssh/lincvs-environment > /dev/null
echo | ssh-add "$@"
exit 0
